
.catalog__section {
    margin-top: 2.5em;
}
.catalog-items {
    display: flex;
    flex-wrap: wrap;
    box-sizing: border-box;
    /*gap: 1.5em 0;*/
    /*gap: 1em 0;*/
}

.catalog-items .item {
    flex: 0 0 25%;
    /*padding: 1em;*/
    /*border: 1px solid #EFEFF1;*/
    margin: 0 !important;
    margin-bottom:1.5em !important;
    box-sizing: border-box;
    position: relative;
    box-shadow: none;
    transition: box-shadow .15s ease;
}

.catalog-items.mode-four .item {
    flex: 0 0 25%;
}

@media screen and (max-width: 1100px) {
    .catalog-items.mode-four .item {
        flex: 0 0 33.333%;
    }

    .sort-block {
        display: none !important;
    }
    .filter-line .filter-line-icon.second-icon {
        margin-left: 0 !important;
    }
}

@media screen and (max-width: 767px) {
    .catalog-items.mode-four .item {
        flex: 0 0 50%;
    }
}

.catalog-items.mode-three .item {
    flex: 0 0 33.333%;
}

.catalog-items .item:hover {
    box-shadow: rgba(0, 0, 0, .2) 0 5px 12px;
}

.catalog-items .item.border-top:after {
    content: "";
    position: absolute;
    top: 0;
    left: 50%;
    width: 90%;
    height: 1px;
    background: #f7f5f6;
    transform: translateX(-50%);
    pointer-events: none;
    z-index: 1;
}

.catalog__section.loading .catalog-items .item.border-top:after {
    opacity: var(--placehodler-opacity);
    animation: var(--placehodler-animation);
}

/* ========================== */
/*          MARKERS
/* ========================== */

.item-marker {
    position: absolute;
    overflow: hidden;
    z-index: 13;
}

.item-marker img {
    width: 100%;
}

.item-marker span {
    position: absolute;
    display: block;
    padding: 0;
    color: #fff;
    text-align: center;
    font-weight: 700;
}

/* ===== Top marker ===== */
.item-marker.item-marker-top {
    width: 120px;
    top: -9px;
    left: 50%;
    transform: translateX(-50%);
}

.item-marker.item-marker-top span {
    width: 120px;
    top: 6px;
    left: 50%;
    font-size: 11.5px;
    transform: translateX(-50%);
}

.item-marker.item-marker-top img {
    transform: none !important;
}

@media (max-width: 600px) {
    .item-marker.item-marker-top {
        width: 110px;
    }

    .item-marker.item-marker-top span {
        font-size: 11px;
    }
}

/* ===== Corner marker (left / top-left) ===== */
.item-marker.item-marker-left {
    left: 0;
    top: 0;
    width: 60px;
    height: 60px;
    overflow: hidden;
}

.item-marker.item-marker-left span {
    width: 111px;
    padding: 0;
    right: -18px;
    top: 10px;

    background-color: #3d5896;
    color: #fff;
    text-align: center;
    font-size: 13px;
    font-weight: 700;

    transform: rotate(-45deg);
}

@media (max-width: 600px) {
    .item-marker.item-marker-left {
        width: 65px;
        height: 65px;
    }

    .item-marker.item-marker-left span {
        right: -6px;
        top: 5px;
        font-size: 10px;
        padding: 2px 0 0;
    }
}

.catalog__section.loading .catalog-items .item-marker.item-marker-top {

}

.item-marker-top svg {
    --marker-red: #ed4956;
    --marker-dark-red: #a03941;
}

.catalog__section.loading .catalog-items .item-marker-top svg {
    --marker-red: var(--placehodler-color);
    --marker-dark-red: var(--placehodler-color);
    opacity: .5;
    color: transparent;
    cursor: var(--placehodler-cursor, wait);
    animation: var(--placehodler-animation);
}


.catalog__section.loading .catalog-items .item-marker.item-marker-top span {
    opacity: 0;
}

.catalog__section.loading .catalog-items .item-marker.item-marker-left span {
    background-color: var(--placehodler-color);
    opacity: var(--placehodler-opacity, 0.5);
    color: transparent;
    cursor: var(--placehodler-cursor, wait);
    animation: var(--placehodler-animation);
}

.catalog__section.loading .item .buttons .button-card,
.catalog__section.loading .item:hover .buttons .button-card {
    background-color: var(--placehodler-color);
    opacity: var(--placehodler-opacity, 0.5);
    color: transparent;
    cursor: var(--placehodler-cursor, wait);
    animation: var(--placehodler-animation);
}

.catalog__section.loading .item .buttons .button-card svg {
    opacity: 0;
}

/* ========================== */
/*           CARD
/* ========================== */

.catalog-items .item {
    text-align: center;
    padding: 2em 10px 2em;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    /*align-items: center;*/
}

.catalog-items .item .article {
    font-weight: 300;
    font-size: .9em;
    text-transform: uppercase;
    text-align: center;
    margin-bottom: 1.2em;
}
.catalog__section.loading .catalog-items .item .article span {
    background-color: var(--placehodler-color);
    opacity: var(--placehodler-opacity, 0.5);
    color: transparent;
    cursor: var(--placehodler-cursor, wait);
    animation: var(--placehodler-animation);
    border-radius: var(--placehodler-radius, 0px);
}


.catalog-items .item .name {
    margin-top: 15px;
    font-size: .9em;
    text-transform: uppercase;
    color: #58595b;
    text-align: center;
}
.catalog__section.loading .catalog-items .item .name span {
    background-color: var(--placehodler-color);
    opacity: var(--placehodler-opacity, 0.5);
    color: transparent;
    cursor: var(--placehodler-cursor, wait);
    animation: var(--placehodler-animation);
    border-radius: var(--placehodler-radius, 0px);
}

.catalog-items .item .gallery {
    width: 100% !important;
    overflow: hidden;
    margin-bottom: 0.5em;
}

.catalog__section.loading .catalog-items .item .gallery a,
.catalog__section.loading .catalog-items .item .gallery a img {
    cursor: var(--placehodler-cursor, wait);
}
.catalog__section.loading .catalog-items .item .gallery {
    background-color: var(--placehodler-color);
    opacity: var(--placehodler-opacity, 0.5);
    color: transparent;
    cursor: var(--placehodler-cursor, wait);
    animation: var(--placehodler-animation);
    border-radius: var(--placehodler-radius, 0px);
}
.catalog__section.loading .catalog-items .item .gallery picture {
    opacity: 0 !important;
}

/*.catalog-items .item .gallery img {*/
/*.catalog-items .item [data-card-slider] img {*/
/*    position: absolute;*/
/*    top: 0;*/
/*    left: 0;*/
/*    right: 0;*/
/*    bottom: 0;*/
/*    z-index: 1;*/
/*    height: 100%;*/
/*    width: 100%;*/

/*}*/

[data-card-slider]{
    position: relative;
    display: block;
    overflow: hidden;
}
[data-card-slider] picture,
[data-card-slider] img{
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
}
[data-card-slider] img{
    object-fit: cover;
    opacity: 0;
    transition: none; /* GSAP рулит, CSS не мешает */
}
/*a:hover img {*/
/*    */
/*}*/

[data-card-slider]:not([data-slider-ready="1"]) picture { opacity: 0 !important; }
[data-card-slider]:not([data-slider-ready="1"]) picture:first-child { opacity: 1 !important; }

[data-card-slider] picture { transition: none; } /* по желанию */
[data-card-slider] img { opacity: 1; } /* можно вообще не трогать img в режиме guard */

/*.catalog-items .item .gallery:before {*/
/*    display: block;*/
/*    content: " ";*/
/*    width: 100%;*/
/*    padding: 80% 0 0 0 !important;*/
/*}*/

.catalog-items .item .factory {
    font-size: 1.4em;
    text-align: center;
    color: #58595b;
}
.catalog__section.loading .catalog-items .item .factory span {
    background-color: var(--placehodler-color);
    opacity: var(--placehodler-opacity, 0.5);
    color: transparent;
    cursor: var(--placehodler-cursor, wait);
    animation: var(--placehodler-animation);
    border-radius: var(--placehodler-radius, 0px);
}

.catalog-items .item .price {
    font-size: 1.2em;
    text-align: center;
    color: #000;
}

.catalog__section.loading .catalog-items .item .price span {
    background-color: var(--placehodler-color);
    opacity: var(--placehodler-opacity, 0.5);
    color: transparent;
    cursor: var(--placehodler-cursor, wait);
    animation: var(--placehodler-animation);
    border-radius: var(--placehodler-radius, 0px);
}

.catalog-items .item .old-price {
    display: inline-block;
    text-align: center;
    font-size: .9em;
    position: relative;
    color: #000;
}
.catalog__section.loading .catalog-items .item .old-price span {
    background-color: var(--placehodler-color);
    opacity: var(--placehodler-opacity, 0.5);
    color: transparent;
    cursor: var(--placehodler-cursor, wait);
    animation: var(--placehodler-animation);
    border-radius: var(--placehodler-radius, 0px);
}

.catalog-items .item .old-price:after {
    content: "";
    width: 100%;
    height: 3px;
    background: red;
    opacity: .3;
    position: absolute;
    top: 8px;
    left: 0;
}
.catalog__section.loading .catalog-items .item .old-price:after {
    opacity: 0;
}

/* ========================== */
/*          BUTTONS
/* ========================== */
.btn-gray {
    --bs-btn-color: #5f6062;
    --bs-btn-bg: #ddd;
    --bs-btn-border-color: #ddd;

    --bs-btn-hover-bg: #cfcfcf;
    --bs-btn-hover-border-color: #cfcfcf;

    --bs-btn-active-bg: #bfbfbf;
    --bs-btn-active-border-color: #bfbfbf;

    text-transform: uppercase;
    font-size: 12px;
    font-weight: 500;
    letter-spacing: .5px;
}

.btn-max {
    width: 100%;
    max-width: 430px;
    display: block;
    margin: 0 auto;
}

.btn {
    position: relative;
    transition: all .2s ease;
}

.btn-spinner {
    position: absolute;
    inset: 0;
    margin: auto;
    display: none;
}

.btn[data-loading="1"] {
    pointer-events: none;
    opacity: .8;
}

.btn[data-loading="1"] .btn-text {
    visibility: hidden;
}

.btn[data-loading="1"] .btn-spinner {
    display: block;
}

.btn-spinner {
    position: absolute;
    inset: 0;
    margin: auto;
    width: 22px;
    height: 22px;
    display: none;

    border-radius: 50%;
    border: 2px solid rgba(95, 96, 98, .3);
    border-top-color: #5f6062;
    /*border-top-color: #d6a84f;*/

    animation: btn-spin .8s cubic-bezier(.4, 0, .2, 1) infinite;
}

@keyframes btn-spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}


.button-card {
    border-radius: 5px;
    font-size: 12px;
    font-weight: 400;
    padding: 10px 20px;
    opacity: 1;
    display: block;
    background: 0;
    border: 1px solid #ddd;
    transition: all .2s;
    width: 140px;
    margin-top: 1em;
    margin-left: auto;
    margin-right: auto;
    text-transform: uppercase;
}

@media screen and (max-width: 767px) {
    .button-card {
        width: auto;
    }
}

.button-card-exist svg {
    color: #14ce7f;
    position: relative;
    top: -1px;
    margin-right: 3px;
}

.button-card .button-card-text-second {
    display: none;
}

.catalog-items .item:hover .button-card  {
    background: #d6a84f;
    border-color: #d6a84f;
    color: #fff;
}

.catalog-items .item:hover .button-card-exist svg {
   display: none;
}

.catalog-items .item:hover .button-card .button-card-text-first {
    display: none;
}
.catalog-items .item:hover .button-card .button-card-text-second {
    display: block;
}

/* ========================== */
/*         PAGINATION
/* ========================== */


.c-pagination {
    --pg-size: 30px;
    --pg-radius: 5px;
    --pg-font: 12px;
    --pg-color: #ececec;
    --pg-color-active: #5f6062;
    --pg-bg-hover: #ddd;

    display: flex;
    justify-content: center;
    gap: 5px;
    margin-top: 20px;

    padding: 0;
    list-style: none;
}

/* Лишки как оболочка */
.c-pagination .page-item {
    margin: 0;
    padding: 0;
}

/* Единый стиль для ссылки и спана */
.c-pagination .page-link {
    display: inline-flex;
    align-items: center;
    justify-content: center;

    width: var(--pg-size);
    height: var(--pg-size);
    border-radius: var(--pg-radius);

    font-size: var(--pg-font);
    font-weight: 400;
    text-transform: uppercase;

    line-height: 1.1;
    text-decoration: none;

    color: var(--pg-color);
    background: transparent;

    transition: color .25s ease, background-color .25s ease, box-shadow .25s ease;
    user-select: none;
}

/* hover только для интерактивных */
.c-pagination .page-item:not(.disabled):not(.active) .page-link:hover {
    background-color: var(--pg-bg-hover);
    color: var(--pg-color-active);
}

/* active */
.c-pagination .page-item.active .page-link {
    background-color: var(--pg-bg-hover);
    color: var(--pg-color-active);
    cursor: default;
}

/* disabled */
.c-pagination .page-item.disabled .page-link {
    cursor: default;
    pointer-events: none;
    opacity: .55; /* можно убрать, если не хочешь */
}

/* Фокус (доступность) */
.c-pagination .page-link:focus-visible {
    outline: none;
    box-shadow: 0 0 0 2px rgba(95, 96, 98, .35);
}